/* Bytecodes used by int Forthish VM. */

#define PUT	-1		/* x var -- (!) */
#define GET	-2		/* var -- x (@) */
#define DUP	-3		/* x -- x x */
#define DROP	-4		/* x -- */
#define SWAP	-5		/* x y -- y x */
#define OVER	-6		/* x y -- x y x */

#define PTRPUT	-8		/* careful with these :-) */
#define PTRGET	-9

#define PLUS	-10		/* x y -- x+y */
#define MINUS	-11		/* x y -- x-y */
#define MULT	-12		/* x y -- x*y */
#define DIV	-13		/* x y -- x/y */

#define EQ	-20		/* x y -- x==y */
#define LT	-21		/* x y -- x < y */
#define LTEQ	-22		/* x y -- x <= y */
#define GT	-23		/* etc. */
#define GTEQ	-24

#define AND     -30		/* x y -- x&&y */
#define OR      -31		/* x y -- x||y */
#define NOT	-32		/* x -- !x */

#define JUMP	-40		/* offset -- */
#define JUMPF	-41		/* cond offset -- */
#define JUMPT	-42		/* cond offset -- */

#define CALL	-50		/* proc -- */
#define RET	-51		/* -- (;) */

#define PRINT	-80		/* . */
#define NEGNUM	-98		/* the following number is negative */
#define NOMORE	-99		/* (not really bytecode) */
